<script>
	import SVG from "@/components/svg.svelte"
	import Container from "@/components/container.svelte"
	import Button from "@/components/button.svelte"

	import Car from "@/assets/img/car_head.webp"
	import CarDark from "@/assets/img/car_head-dark.webp"

	import { fade } from "svelte/transition"
	import { update } from "@/helpers/lazyload"
	import { isLight } from "@/stores/static"
	import { isWide, isLarge, isPhone, isTablet } from "@/stores/responsiveness"
	import { t, l } from "@/i18n"

	isLight.subscribe(update)
</script>

<template lang="pug">
.head-row
	.bg.solid
	+if('$isWide || $isLarge')
		.bg.top.img.is-flex.is-align-items-flex-end: SVG( name="triangle_top" )
		.bg.bottom.img.is-flex.is-align-items-flex-start: SVG( name="triangle_bottom" )
	Container
		+if('$isWide || $isLarge')
			.bg.car.img.is-flex.is-align-items-center.is-justify-flex-start
				+if('$isLight')
					img.lazy( transition:fade='{{duration: 200}}' data-src='{Car}' )
					+else
						img.lazy( transition:fade='{{duration: 200}}' data-src='{CarDark}' )
		.tags.is-flex.is-justify-content-flex-start(
			class!='{$isPhone || $isTablet ? "is-align-items-flex-start" : "is-align-items-center"}'
			class:is-flex-direction-column!='{$isPhone || $isTablet}')
			h1 {$t("homepage.head_row.tags.0")}
			p {$t("homepage.head_row.tags.1")}
		.title
			h2 {$t("homepage.head_row.title")}
			Button( is="a" href!='{$l("cars")}' )
				span.icon( slot="icon-right" ): SVG( folder="icons" name="arrow-right" )
				|{$t("buttons.select_car")}
</template>

<style lang="scss">
	.head-row {
		position: relative;
		:global(.container) {
			position: relative;
		}
		:global(.section) {
			padding-top: 5.5rem;
			padding-bottom: 12.25rem;
			position: relative;
			z-index: 2;
		}
	}

	.bg {
		position: absolute;
		z-index: 1;
		&.solid {
			width: 100%;
			height: calc(100% - 7.3125rem);
			background: radial-gradient(67.11% 745.66% at 67.11% 61.98%, #333232 0%, #000000 100%);
			top: 0;
			left: 0;
		}
		&.top {
			width: 50%;
			max-width: 632px;
			right: 0;
			bottom: 7.3125rem;
		}
		&.bottom {
			width: 45%;
			max-width: 632px;
			top: calc(100% - 7.3125rem);
			left: 0;
		}
		&.car {
			width: 100%;
			max-width: 776px;
			right: -5rem;
			top: calc(100% - 3rem);
		}
	}

	.tags {
		@include min_tablet {
			margin-bottom: 1rem;
		}
		@include max_tablet {
			margin-bottom: 1.5rem;
		}
		p, h1 {
			font-size: 1.125rem;
			font-weight: 300;
			color: $gray-text;
			&:last-child {
				@include min_tablet {
					margin-left: 1.8125rem;
				}
				@include max_tablet {
					margin-top: 1.5rem;
				}
			}
		}
	}

	.title {
		max-width: 760px;
		h2 {
			font-size: 4rem;
			line-height: 4rem;
			font-weight: 500;
			vertical-align: middle;
			color: $white;
			@include min_tablet {
				display: inline;
			}
			@include max_tablet {
				font-size: 3rem;
			}
		}
		@include min_tablet {
			:global(.button) {
				margin-left: .5rem;
			}
		}
		@include max_tablet {
			:global(.button) {
				margin-top: 1.5rem;
			}
		}
	}
</style>